%{?nodejs_find_provides_and_requires}
%global enable_tests 0

Name:       nodejs-keygrip
Version:    1.0.1
Release:    1%{?dist}
Summary:    Key signing and verification for rotated credentials
License:    MIT 
URL:        https://github.com/crypto-utils/keygrip
Source:     https://github.com/crypto-utils/keygrip/archive/%{version}.tar.gz

BuildArch:  noarch
BuildRequires: nodejs-debug
BuildRequires: nodejs-scmp

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
Keygrip is a node.js module for signing and verifying data  through a rotating credential system

%prep
%setup -q -n keygrip-%{version}


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nodejs-keygrip
cp -p package.json index.js %{buildroot}%{nodejs_sitelib}/nodejs-keygrip

%check
%if 0%{?enable_tests}
mocha --reporter spec --bail
%endif

%files
%doc README.md LICENSE.txt test.js
%{nodejs_sitelib}/nodejs-keygrip


%changelog
* Tue Feb 3 2015 Anish Patil <apatil@redhat.com> - 1.0.1-1
- initial package
